<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTmsAmZipcodesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tms_am_zipcodes', function (Blueprint $table) {
            $table->id('pk_zipcode');
            $table->string('zipcode');
            $table->string('suburb');
            $table->string('suburb_type')->nullable();
            $table->string('country');
            $table->string('country_state');
            $table->string('city');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tms_am_zipcodes');
    }
}
